(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 10.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1064,         20]
NotebookDataLength[     21088,        459]
NotebookOptionsPosition[     21300,        442]
NotebookOutlinePosition[     21783,        463]
CellTagsIndexPosition[     21740,        460]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb", "Subtitle",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r1$$ = 0, $CellContext`r2$$ = 
    0, $CellContext`r3$$ = 0, $CellContext`r4$$ = 
    1, $CellContext`x$$ = {-4.92, -2.82}, $CellContext`y$$ = {2, 2}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", 
    Typeset`specs$$ = {{{
       Hold[$CellContext`r2$$], 0, "\:70b9O"}, {0, 1}}, {{
       Hold[$CellContext`r1$$], 1, "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {
      0, 1}}, {{
       Hold[$CellContext`r3$$], 0, 
       "A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))"}, {0, 1}}, {{
       Hold[$CellContext`r4$$], 0, "\:683c\:5b50"}, {0, 1}}, {{
       Hold[$CellContext`x$$], {0, 0}}, Automatic}, {{
       Hold[$CellContext`y$$], {2, 2}}, Automatic}}, Typeset`size$$ = {
    324., {120., 123.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r2$589$$ = 
    False, $CellContext`r1$590$$ = False, $CellContext`r3$591$$ = 
    False, $CellContext`r4$592$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r1$$ = 1, $CellContext`r2$$ = 
        0, $CellContext`r3$$ = 0, $CellContext`r4$$ = 
        0, $CellContext`x$$ = {0, 0}, $CellContext`y$$ = {2, 2}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`r2$$, $CellContext`r2$589$$, False], 
        Hold[$CellContext`r1$$, $CellContext`r1$590$$, False], 
        Hold[$CellContext`r3$$, $CellContext`r3$591$$, False], 
        Hold[$CellContext`r4$$, $CellContext`r4$592$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Arrowheads -> Large, 
         Thickness[0.009], {
          PointSize[Large], 
          Point[$CellContext`y$$]}, 
         If[$CellContext`r3$$ == 0, 
          Text[
           Style["A", Large], $CellContext`y$$ + {0, 0.5}]], 
         If[$CellContext`r1$$ == 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {Red, 
            Text[
             Style["\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)", Large],
              Dot[$CellContext`y$$ - $CellContext`x$$, {{0, -1}, {1, 0}}]/
              Norm[$CellContext`y$$ - $CellContext`x$$] + ($CellContext`x$$ + \
$CellContext`y$$)/2]}, {Red, 
            Arrow[{$CellContext`x$$, $CellContext`y$$}]}}], 
         If[$CellContext`r2$$ == 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {
            PointSize[Large], 
            Point[$CellContext`x$$]}}], 
         If[$CellContext`r3$$ == 1, {
           Text[
            Style[
            "A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))", 
             Large], $CellContext`y$$ + {0, 0.5}]}]}, 
        If[$CellContext`r4$$ == 1, {GridLines -> {
            Range[-10, 10, 1], 
            Range[-6, 6, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-8, 8}, {-6, 6}}}, PlotRange -> {{-8, 8}, {-6, 6}}]],
       "Specifications" :> {{{$CellContext`r2$$, 0, "\:70b9O"}, {0, 
         1}}, {{$CellContext`r1$$, 1, 
          "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {0, 
         1}}, {{$CellContext`r3$$, 0, 
          "A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))"}, {0, 
         1}}, {{$CellContext`r4$$, 0, "\:683c\:5b50"}, {0, 
         1}}, {{$CellContext`x$$, {0, 0}}, Automatic, ControlType -> 
         Locator}, {{$CellContext`y$$, {2, 2}}, Automatic, ControlType -> 
         Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{375., {186., 193.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 RowBox[{
  OverscriptBox["AB", "\[RightVector]"], "=", 
  RowBox[{
   OverscriptBox["b", "\[RightVector]"], "-", 
   OverscriptBox["a", "\[RightVector]"]}]}]],
 CellChangeTimes->{{3.6191595847235727`*^9, 3.6191596579187727`*^9}, {
   3.619159742267973*^9, 3.619159748882373*^9}, {3.6192053512006626`*^9, 
   3.6192053895923295`*^9}, {3.619205516560953*^9, 3.6192055944830894`*^9}, {
   3.619205643685576*^9, 3.619205832196307*^9}, {3.6192059942181916`*^9, 
   3.6192060146386275`*^9}, {3.619206096772772*^9, 3.619206185380927*^9}, {
   3.619206215956981*^9, 3.619206300259529*^9}, {3.6192064474301877`*^9, 
   3.6192064807674465`*^9}, {3.6192065331055384`*^9, 3.619206535211542*^9}, {
   3.6192066042844644`*^9, 3.6192066879630117`*^9}, {3.6192067442635107`*^9, 
   3.619206757773134*^9}, {3.6193186774266977`*^9, 3.6193187805270977`*^9}, {
   3.619320026577098*^9, 3.6193201135002975`*^9}, {3.619320235320698*^9, 
   3.6193202387370977`*^9}, {3.6193202697342978`*^9, 
   3.6193204397586975`*^9}, {3.6193204702254977`*^9, 3.619320473704298*^9}, {
   3.619320509069498*^9, 3.619320539115098*^9}, {3.619320634805498*^9, 
   3.619320658829498*^9}, {3.619320697907498*^9, 3.6193207173606977`*^9}, {
   3.619320755877098*^9, 3.6193207650186977`*^9}, {3.619320919801898*^9, 
   3.6193209308310976`*^9}, {3.619320982981898*^9, 3.619321052807498*^9}, {
   3.6193299042290974`*^9, 3.619330002368697*^9}, {3.619330035799497*^9, 
   3.6193301017718973`*^9}, {3.619330138463097*^9, 3.619330240721097*^9}, {
   3.619330274994297*^9, 3.619330289595897*^9}, {3.6193304090734787`*^9, 
   3.6193304252188573`*^9}, {3.6193304783036156`*^9, 
   3.6193305745519133`*^9}, {3.619330618869809*^9, 3.619330638540723*^9}, {
   3.619330668897934*^9, 3.6193307279899764`*^9}, {3.6193312455193124`*^9, 
   3.6193313420833125`*^9}, {3.619331391862912*^9, 3.619331396730112*^9}, {
   3.619331428101712*^9, 3.6193314747925124`*^9}, {3.6193315122481127`*^9, 
   3.6193315308589125`*^9}, {3.6193316140849123`*^9, 
   3.6193316880289125`*^9}, {3.6193317442981124`*^9, 
   3.6193318923265123`*^9}, {3.619332005161312*^9, 3.6193320306205125`*^9}, {
   3.6193321137529125`*^9, 3.6193321972285123`*^9}, {3.6193325031133127`*^9, 
   3.6193325099305124`*^9}, {3.6227866354193373`*^9, 
   3.6227866720013375`*^9}, {3.622786709238538*^9, 3.6227867468345375`*^9}, {
   3.6227868168317375`*^9, 3.622786986930938*^9}, {3.622787036991338*^9, 
   3.6227870607033377`*^9}, {3.6227871508089375`*^9, 
   3.6227871646461377`*^9}, {3.6227873190393376`*^9, 
   3.6227873379777374`*^9}, {3.6227873686317377`*^9, 
   3.6227873812521377`*^9}, {3.622787538546938*^9, 3.6227875967193375`*^9}, {
   3.622787641428938*^9, 3.6227876597901373`*^9}, {3.6227877252165375`*^9, 
   3.622787741471738*^9}, 3.622787940184538*^9, {3.6227879893089375`*^9, 
   3.622788208816538*^9}, {3.622788252106538*^9, 3.6227884940905375`*^9}, {
   3.6227885317801375`*^9, 3.6227886186097374`*^9}, {3.6227886507457376`*^9, 
   3.6227888730769377`*^9}, {3.6227889141205378`*^9, 
   3.6227889957397375`*^9}, {3.6227890484365377`*^9, 3.622789092537738*^9}, {
   3.6227891540797377`*^9, 3.6227893043389378`*^9}, {3.6227893413577375`*^9, 
   3.6227893709353375`*^9}, {3.6228341520436735`*^9, 
   3.6228342744339995`*^9}, {3.6228343677929916`*^9, 3.622834408522691*^9}, {
   3.6228344967807693`*^9, 3.622834611874916*^9}, {3.6228346677922735`*^9, 
   3.6228346715668926`*^9}, {3.6228347160980406`*^9, 3.622834745437126*^9}, {
   3.622834795599008*^9, 3.622834851656782*^9}, 3.6228354089963493`*^9, {
   3.622835487737072*^9, 3.622835488906952*^9}, {3.6228357019224834`*^9, 
   3.622835955317877*^9}, {3.6228360029122562`*^9, 3.6228360221465635`*^9}, {
   3.622836132770276*^9, 3.6228361489174147`*^9}, {3.622851941217435*^9, 
   3.622851983290365*^9}, {3.622852028717274*^9, 3.6228520978092313`*^9}, {
   3.622853228698037*^9, 3.622853297824296*^9}, {3.622853537416735*^9, 
   3.622853703077202*^9}, {3.622853738804431*^9, 
   3.6228537728282495`*^9}}]], "Subtitle",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r1$$ = 0, $CellContext`r2$$ = 
    0, $CellContext`r3$$ = 0, $CellContext`r4$$ = 
    0, $CellContext`x$$ = {-6.35, -2.6799999999999997`}, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`r2$$], 0, "\:70b9O"}, {0, 1}}, {{
       Hold[$CellContext`r1$$], 1, "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {
      0, 1}}, {{
       Hold[$CellContext`r3$$], 0, 
       "A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))"}, {0, 1}}, {{
       Hold[$CellContext`r4$$], 0, "\:683c\:5b50"}, {0, 1}}, {{
       Hold[$CellContext`x$$], {0, 0}}, Automatic}}, Typeset`size$$ = {
    324., {120., 123.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r2$1815$$ = 
    False, $CellContext`r1$1816$$ = False, $CellContext`r3$1817$$ = 
    False, $CellContext`r4$1818$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r1$$ = 1, $CellContext`r2$$ = 
        0, $CellContext`r3$$ = 0, $CellContext`r4$$ = 
        0, $CellContext`x$$ = {0, 0}}, "ControllerVariables" :> {
        Hold[$CellContext`r2$$, $CellContext`r2$1815$$, False], 
        Hold[$CellContext`r1$$, $CellContext`r1$1816$$, False], 
        Hold[$CellContext`r3$$, $CellContext`r3$1817$$, False], 
        Hold[$CellContext`r4$$, $CellContext`r4$1818$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Arrowheads -> Large, 
         Thickness[0.009], {
          PointSize[Large], 
          Point[{-4, 4}], 
          Point[{4, 0}]}, {Blue, 
          Arrow[{{-4, 4}, {4, 0}}]}, 
         If[$CellContext`r3$$ == 0, {
           Text[
            Style["A", Large], {-4, 4} + {0, 0.5}], 
           Text[
            Style["B", Large], {4, 0} + {0, 0.5}]}], 
         If[$CellContext`r1$$ == 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {Red, 
            Text[
             Style["\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)", Large],
              Dot[{-4, 4} - $CellContext`x$$, {{0, -1}, {1, 0}}]/
              Norm[{-4, 4} - $CellContext`x$$] + ($CellContext`x$$ + {-4, 4})/
              2]}, {Red, 
            Arrow[{$CellContext`x$$, {-4, 4}}]}, {Red, 
            Text[
             Style["\!\(\*OverscriptBox[\(b\), \(\[RightVector]\)]\)", Large],
              Dot[{4, 0} - $CellContext`x$$, {{0, -1}, {1, 0}}]/
              Norm[{4, 0} - $CellContext`x$$] + ($CellContext`x$$ + {4, 0})/
              2]}, {Red, 
            Arrow[{$CellContext`x$$, {4, 0}}]}, Null}], 
         If[$CellContext`r2$$ == 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {
            PointSize[Large], 
            Point[$CellContext`x$$]}}], 
         If[$CellContext`r3$$ == 1, {
           Text[
            Style[
            "A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))", 
             Large], {-4, 4} + {0, 0.5}], 
           Text[
            Style[
            "B(\!\(\*OverscriptBox[\(b\), \(\[RightVector]\)]\))", Large], {4,
              0} + {0, 0.5}], 
           Text[
            Style[
            "\!\(\*OverscriptBox[\(AB\), \
\(\[RightVector]\)]\)=\!\(\*OverscriptBox[\(b\), \
\(\[RightVector]\)]\)-\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)", 
             Large], {2, 2} + {0, 1}]}]}, 
        If[$CellContext`r4$$ == 1, {GridLines -> {
            Range[-10, 10, 1], 
            Range[-6, 6, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-8, 8}, {-6, 6}}}, PlotRange -> {{-8, 8}, {-6, 6}}]],
       "Specifications" :> {{{$CellContext`r2$$, 0, "\:70b9O"}, {0, 
         1}}, {{$CellContext`r1$$, 1, 
          "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {0, 
         1}}, {{$CellContext`r3$$, 0, 
          "A(\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\))"}, {0, 
         1}}, {{$CellContext`r4$$, 0, "\:683c\:5b50"}, {0, 
         1}}, {{$CellContext`x$$, {0, 0}}, Automatic, ControlType -> 
         Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{375., {186., 193.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "\[EmptyUpTriangle]ABC\:306e\:91cd\:5fc3\:3092G\:ff0cA\:3092\:57fa\:70b9\
\:3068\:3059\:308bB, C\:306e\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb\:3092\:305d\
\:308c\:305e\:308c",
 Cell[BoxData[
  FormBox[
   OverscriptBox["b", "\[RightVector]"], TraditionalForm]]],
 "\:ff0c",
 Cell[BoxData[
  FormBox[
   OverscriptBox["c", "\[RightVector]"], TraditionalForm]]],
 "\:3068\:3059\:308b\:3002\n",
 Cell[BoxData[
  FormBox[
   OverscriptBox["AG", "\[RightVector]"], TraditionalForm]]],
 "\:3092",
 Cell[BoxData[
  FormBox[
   OverscriptBox["b", "\[RightVector]"], TraditionalForm]]],
 "\:ff0c",
 Cell[BoxData[
  FormBox[
   OverscriptBox["c", "\[RightVector]"], TraditionalForm]]],
 "\:3092\:4f7f\:3063\:3066\:8868\:305b\:3002(O\:3068A\:3092\:91cd\:306d\:3066\
\:307f\:308b\:3068\:3069\:3046\:306a\:308b\:3067\:3057\:3087\:3046\:ff09"
}], "Subtitle",
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`r1$$ = 0, $CellContext`r2$$ = 
    0, $CellContext`r3$$ = 0, $CellContext`r4$$ = 
    0, $CellContext`x$$ = {-8.02, 0.16000000000000014`}, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"\:540d\:79f0\:672a\:5b9a\:7fa9\"", Typeset`specs$$ = {{{
       Hold[$CellContext`r2$$], 0, "\:70b9O"}, {0, 1}}, {{
       Hold[$CellContext`r1$$], 1, "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {
      0, 1}}, {{
       Hold[$CellContext`r3$$], 0, 
       "\!\(\*OverscriptBox[\(OG\), \(\[RightVector]\)]\)"}, {0, 1}}, {{
       Hold[$CellContext`r4$$], 0, "\:683c\:5b50"}, {0, 1}}, {{
       Hold[$CellContext`x$$], {0, 0}}, Automatic}}, Typeset`size$$ = {
    518., {206., 209.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r2$2318$$ = 
    False, $CellContext`r1$2319$$ = False, $CellContext`r3$2320$$ = 
    False, $CellContext`r4$2321$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`r1$$ = 1, $CellContext`r2$$ = 
        0, $CellContext`r3$$ = 0, $CellContext`r4$$ = 
        0, $CellContext`x$$ = {0, 0}}, "ControllerVariables" :> {
        Hold[$CellContext`r2$$, $CellContext`r2$2318$$, False], 
        Hold[$CellContext`r1$$, $CellContext`r1$2319$$, False], 
        Hold[$CellContext`r3$$, $CellContext`r3$2320$$, False], 
        Hold[$CellContext`r4$$, $CellContext`r4$2321$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Arrowheads -> Large, 
         Thickness[0.009], 
         PointSize[Large], 
         Point[{-4, -3}], 
         Point[{4, -3}], 
         Point[{1, 3}], 
         Line[{{-4, -3}, {4, -3}}], 
         Line[{{-4, -3}, {1, 3}}], 
         Line[{{1, 3}, {4, -3}}], {Blue, 
          Point[{1/3, -1}]}, {
          Text[
           Style["A", Large], {-4, -3} + {-0.3, 0.5}], 
          Text[
           Style["B", Large], {4, -3} + {0.5, 0.5}], 
          Text[
           Style["C", Large], {1, 3} + {0.5, 0.5}], 
          Text[
           Style["G", Large], {1/3, -1} + {0.5, 0.5}]}, 
         If[$CellContext`r1$$ == 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], 
           If[Norm[$CellContext`x$$ - {-4, -3}] > 0.1, {{Red, 
              Text[
               Style[
               "\!\(\*OverscriptBox[\(a\), \(\[RightVector]\)]\)", Large], 
               Dot[{-4, -3} - $CellContext`x$$, {{0, -1}, {1, 0}}]/
                Norm[{-4, -3} - $CellContext`x$$] + ($CellContext`x$$ + {-4, \
-3})/2]}, {Red, 
              Arrow[{$CellContext`x$$, {-4, -3}}]}}], {Red, 
            Text[
             Style["\!\(\*OverscriptBox[\(b\), \(\[RightVector]\)]\)", Large],
              Dot[{4, -3} - $CellContext`x$$, {{0, -1}, {1, 0}}]/
              Norm[{4, -3} - $CellContext`x$$] + ($CellContext`x$$ + {4, -3})/
              2]}, {Red, 
            Arrow[{$CellContext`x$$, {4, -3}}]}, {Red, 
            Text[
             Style["\!\(\*OverscriptBox[\(c\), \(\[RightVector]\)]\)", Large],
              Dot[{1, 3} - $CellContext`x$$, {{0, -1}, {1, 0}}]/
              Norm[{1, 3} - $CellContext`x$$] + ($CellContext`x$$ + {1, 3})/
              2]}, {Red, 
            Arrow[{$CellContext`x$$, {1, 3}}]}, {Blue, 
            Arrow[{$CellContext`x$$, {1/3, -1}}]}}], 
         If[$CellContext`r2$$ == 1, {
           Text[
            Style["O", Large], $CellContext`x$$ + {0.5, -0.5}], {
            PointSize[Large], 
            Point[$CellContext`x$$]}}], 
         If[$CellContext`r3$$ == 1, 
          If[Norm[$CellContext`x$$ - {-4, -3}] > 0.1, {Blue, 
            Text[
             Style[
             "\!\(\*OverscriptBox[\(OG\), \
\(\[RightVector]\)]\)=\!\(\*FractionBox[\(\*OverscriptBox[\(a\), \(\
\[RightVector]\)] + \*OverscriptBox[\(b\), \(\[RightVector]\)] + \
\*OverscriptBox[\(c\), \(\[RightVector]\)]\), \(3\)]\)", Large], {-4, 4} + {
              0, 0.5}]}, {Blue, 
            Text[
             Style[
             "\!\(\*OverscriptBox[\(AG\), \
\(\[RightVector]\)]\)=\!\(\*FractionBox[\(\*OverscriptBox[\(b\), \(\
\[RightVector]\)] + \*OverscriptBox[\(c\), \(\[RightVector]\)]\), \(3\)]\)", 
              Large], {-4, 4} + {0, 0.5}]}]]}, 
        If[$CellContext`r4$$ == 1, {GridLines -> {
            Range[-10, 10, 1], 
            Range[-6, 6, 1]}, GridLinesStyle -> Dotted, 
          PlotRange -> {{-10, 10}, {-8, 8}}}, 
         PlotRange -> {{-10, 10}, {-8, 8}}], ImageSize -> Large], 
      "Specifications" :> {{{$CellContext`r2$$, 0, "\:70b9O"}, {0, 
         1}}, {{$CellContext`r1$$, 1, 
          "\:4f4d\:7f6e\:30d9\:30af\:30c8\:30eb"}, {0, 
         1}}, {{$CellContext`r3$$, 0, 
          "\!\(\*OverscriptBox[\(OG\), \(\[RightVector]\)]\)"}, {0, 
         1}}, {{$CellContext`r4$$, 0, "\:683c\:5b50"}, {0, 
         1}}, {{$CellContext`x$$, {0, 0}}, Automatic, ControlType -> 
         Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{569., {272., 279.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"]
}, Open  ]]
},
WindowSize->{1350, 685},
Visible->True,
ScrollingOptions->{"VerticalScrollRange"->Fit},
ShowCellBracket->Automatic,
CellContext->Notebook,
TrackCellChangeTimes->False,
Magnification->0.8999999761581421,
FrontEndVersion->"10.0 for Microsoft Windows (32-bit) (2014\:5e747\:67089\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1486, 35, 92, 1, 65, "Subtitle"],
Cell[1581, 38, 4192, 84, 394, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5810, 127, 4042, 60, 60, "Subtitle"],
Cell[9855, 189, 4829, 100, 394, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14721, 294, 894, 26, 97, "Subtitle"],
Cell[15618, 322, 5666, 117, 566, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature yxpZG@LL7yWHdDgHciWwjpnu *)
